recElement Struct Reference

`#include <SDL_sysjoystick_c.h>`

Collaboration diagram for recElement:
[legend]

## Data Fields

IOHIDElementRef | elementRef
IOHIDElementCookie | cookie
uint32_t | usagePage
uint32_t | usage
SInt32 | min
SInt32 | max
SInt32 | minReport
SInt32 | maxReport
struct recElement * | pNext

## Detailed Description

Definition at line 28 of file SDL_sysjoystick_c.h.

## Field Documentation

IOHIDElementCookie recElement::cookie

Definition at line 31 of file SDL_sysjoystick_c.h.

IOHIDElementRef recElement::elementRef

Definition at line 30 of file SDL_sysjoystick_c.h.

SInt32 recElement::max

Definition at line 34 of file SDL_sysjoystick_c.h.

SInt32 recElement::maxReport

Definition at line 38 of file SDL_sysjoystick_c.h.

SInt32 recElement::min

Definition at line 33 of file SDL_sysjoystick_c.h.

SInt32 recElement::minReport

Definition at line 37 of file SDL_sysjoystick_c.h.

struct recElement* recElement::pNext

Definition at line 40 of file SDL_sysjoystick_c.h.

uint32_t recElement::usage

Definition at line 32 of file SDL_sysjoystick_c.h.

uint32_t recElement::usagePage

Definition at line 32 of file SDL_sysjoystick_c.h.

The documentation for this struct was generated from the following file:

- src/joystick/darwin/SDL_sysjoystick_c.h